import { NodeDataType, ProjectSchema } from '@alilc/lowcode-types';
import { IParseResult, ISchemaParser } from '../types';
export declare class SchemaParser implements ISchemaParser {
    validate(schema: ProjectSchema): boolean;
    parse(schemaSrc: ProjectSchema | string): IParseResult;
    getComponentNames(children: NodeDataType): string[];
    decodeSchema(schemaSrc: string | ProjectSchema): ProjectSchema;
    private collectDataSourcesTypes;
}
export default SchemaParser;
